# Custom Script

This node empowers you to incorporate your custom scripts to perform specific data operations on your data - tailored to your unique requirements.&#x20;

This node accepts input of two types, a file or data.

* You can use ctrl+space for autocomplete
* Type Util to get all function groups, pick one and then type a dot to view all functions within the group. All Util Classes are available to view at [Utility Classes](/5.5/scripting/utilities.md).
* You can use NodeInputReader to get the nodes input object.

The following example, filters the input DataFrame by column 'Product Line', returns a new table with records from the input table where Product Line deals with "Cars".

```javascript
// Read input data into a DataFrame
var table = NodeInputReader.inputAsDataFrame();

// Extract the product_line column as a string column
var stringColumn = table.stringColumn("product_line");

// Filter the DataFrame to include only rows where the values in product_line column end with "Cars"
var filteredTable = table.where(stringColumn.endsWith("Cars"));

// Return the filtered DataFrame
return filteredTable;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.b2winsuite.com/5.5/scripting/scripting-in-b2data/custom-script-nodes/custom-script.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
